<?php

require_once('Textfile.php');

define('ACTION_READ', 'read');
define('ACTION_WRITE', 'write');
define('WRITE_DATA', 'data');

/**
 * Checks if the given parameters are set. If one of the specified parameters is not set,
 * die() is called.
 *
 * @param $parameters The parameters to check.
 */
function checkGETParametersOrDie($parameters) {
    foreach ($parameters as $parameter) {
        isset($_GET[$parameter]) || die("Please, provide '$parameter' parameter.");
    }
}

// Flow starts here.

checkGETParametersOrDie(['action']);

$action = $_GET['action'];

$textfile = new Textfile();

switch ($action) {
    case ACTION_READ:
        $response = $textfile->readData();
        break;

    case ACTION_WRITE:
        checkGETParametersOrDie([WRITE_DATA]);
        $data = $_GET[WRITE_DATA];

        $textfile->writeData($data);
        $response = 'Data written.';
        break;

    default:
        $response = 'Please, provide a valid "' . WRITE_DATA . '" parameter.';
        break;
}

echo $response;