<?php

require_once('StorageHandler.php');
require_once('vendor/autoload.php');
require_once('Textfile.php');
require_once('DB.php');

define('ACTION_READ', 'read');
define('ACTION_WRITE', 'write');
define('WRITE_DATA', 'data');

/**
 * Checks if the given parameters are set. If one of the specified parameters is not set,
 * die() is called.
 *
 * @param $parameters The parameters to check.
 */
function checkGETParametersOrDie($parameters) {
    foreach ($parameters as $parameter) {
        isset($_GET[$parameter]) || die("Please, provide '$parameter' parameter.");
    }
}

checkGETParametersOrDie(['action']);

$action = $_GET['action'];

$container = DI\ContainerBuilder::buildDevContainer();
$handler = $container->get('DB');

switch ($action) {
    case ACTION_READ:
        $response = $handler->readData();
        break;

    case ACTION_WRITE:
        checkGETParametersOrDie([WRITE_DATA]);
        $data = $_GET[WRITE_DATA];

        $handler->writeData($data);
        $response = 'Data written.';
        break;

    default:
        $response = 'Please, provide a valid "action" parameter.';
        break;
}

echo $response;
