<?php

require_once('StorageInterface.php');
require_once('Textfile.php');
require_once('DB.php');

/**
 * StorageInterface wrap.
 */
class StorageHandler {

    protected $storage;

    /**
     * StorageHandler constructor, with an implementation of StorageInterface.
     *
     * @Inject({"Textfile"})
     * @param $storage StorageInterface implementation.
     */
    public function __construct(StorageInterface $storage) {
        $this->storage = $storage;
    }

    /**
     * Writes the data using the storage implementation.
     *
     * @param $data Data to write.
     */
    public function writeData($data) {
        $this->storage->writeData($data);
    }

    /**
     * Reads the data using the storage implementation.
     *
     * @return Read data.
     */
    public function readData() {
        $data = $this->storage->readData();

        return $data;
    }
}
