<?php

require_once('vendor/autoload.php');
require_once('StorageHandler.php');

define('ACTION_READ', 'read');
define('ACTION_WRITE', 'write');
define('WRITE_DATA', 'data');

function checkGETParametersOrDie($parameters) {
    foreach ($parameters as $parameter) {
        isset($_GET[$parameter]) || die("Please, provide '$parameter' parameter.");
    }
}

checkGETParametersOrDie(['action']);

$action = $_GET['action'];

$containerBuilder = new DI\ContainerBuilder();
$containerBuilder->addDefinitions('dependencies.php');
$container = $containerBuilder->build();

$handler = $container->get('StorageInterface');

switch ($action) {
    case ACTION_READ:
        $response = $handler->readData();
        break;

    case ACTION_WRITE:
        checkGETParametersOrDie([WRITE_DATA]);
        $data = $_GET[WRITE_DATA];

        $handler->writeData($data);
        $response = 'Data written.';
        break;

    default:
        $response = 'Please, provide a valid "action" parameter.';
        break;
}

echo $response;
