<?php

require_once('StorageInterface.php');
require_once('language_dependencies/LanguageInterface.php');

class Textfile implements StorageInterface {

    const TEXTFILE = 'data.txt';

    private $language;

    public function __construct(LanguageInterface $language) {
        $this->language = $language;
    }

    /**
     * Writes the data into the textfile.
     *
     * @param $data The data to write into the textfile.
     */
    public function writeData($data) {
        $contents = $this->language->getInfoString() . ' ' . $data . '<br>';

        file_put_contents(self::TEXTFILE, $contents, FILE_APPEND);
    }

    /**
     * Reads the data from the textfile.
     *
     * @return Textfile data.
     */
    public function readData() {
        $data = file_get_contents(self::TEXTFILE);

        return $data;
    }
}
